<h1 align="center">
𝐅𝐨𝐫𝐞𝐬𝐭 𝐍𝐢𝐠𝐡𝐭
</h1>

![demo](https://user-images.githubusercontent.com/37491630/74209833-5217b900-4c81-11ea-86e2-3727fdfc3233.png)

## Features

Forest Night is a green based color scheme, it's designed to be warm and soft in order to protect developers' eyes.

- Green based but warm-toned.
- Designed to have soft contrast for eye protection.
- Works well with [redshift](https://github.com/jonls/redshift) and [f.lux](https://justgetflux.com).
- Customizable.
- Rich support for common file types and plugins.
- [Italic support](https://github.com/sainnhe/icursive-nerd-font) 🎉

## Installation

### Via Plugin Manager

Take [vim-plug](https://github.com/junegunn/vim-plug) for example:

```vim
Plug 'sainnhe/forest-night'
```

For better syntax highlighting support, please install [sheerun/vim-polyglot](https://github.com/sheerun/vim-polyglot) or [nvim-treesitter/nvim-treesitter](https://github.com/nvim-treesitter/nvim-treesitter).

### Manually

1. Clone this repository.
2. Copy `/path/to/forest-night/autoload/forest_night.vim` to `~/.vim/autoload/`.
3. Copy `/path/to/forest-night/colors/forest-night.vim` to `~/.vim/colors/forest-night.vim`
4. Copy `/path/to/forest-night/doc/forest-night.txt` to `~/.vim/doc/` and execute `:helptags ~/.vim/doc` to generate help tags.
5. To install [airline](https://github.com/vim-airline/vim-airline) theme, copy `/path/to/forest-night/autoload/airline/themes/forest_night.vim` to `~/.vim/autoload/airline/themes/`
6. To install [lightline](https://github.com/itchyny/lightline.vim) theme, copy `/path/to/forest-night/autoload/lightline/colorscheme/forest_night.vim` to `~/.vim/autoload/lightline/colorscheme/`

### AUR

There are some packages available for Arch Linux users in AUR:

- [vim-forest-night-git](https://aur.archlinux.org/pkgbase/vim-forest-night-git/)
- [neovim-forest-night-git](https://aur.archlinux.org/pkgbase/neovim-forest-night-git/)

## Usage

See [`:help forest-night.txt`](https://github.com/sainnhe/forest-night/blob/master/doc/forest-night.txt)

## Related Projects

See this [wiki page](https://github.com/sainnhe/forest-night/wiki).

## More Color Schemes

- [Gruvbox Material](https://github.com/sainnhe/gruvbox-material)
- [Edge](https://github.com/sainnhe/edge)
- [Sonokai](https://github.com/sainnhe/sonokai)

## Inspirations

- [rhysd/vim-color-spring-night](https://github.com/rhysd/vim-color-spring-night)
- [KKPMW/sacredforest-vim](https://github.com/KKPMW/sacredforest-vim)
- [sainnhe/gruvbox-material](https://github.com/sainnhe/gruvbox-material)

## Maintainers

| [![Sainnhe Park](https://avatars1.githubusercontent.com/u/37491630?s=70&u=14e72916dcf467f393c532536387ec72a23747ec&v=4)](https://github.com/sainnhe) | [![Jef LeCompte](https://avatars0.githubusercontent.com/u/12074633?s=70&u=425e7f9db7a80a6615fd0d89bd58afdf7bddfda1&v=4)](https://github.com/jef) |
| ---------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------ |
| [Sainnhe Park](https://github.com/sainnhe)                                                                                                           | [Jef LeCompte](https://github.com/jef)                                                                                                           |

## License

[MIT](./LICENSE)
